DOMDocument::schemaValidate
DOMDocument::validate
DOMDocument
PHP Manual

# DOMDocument::schemaValidateSource

(PHP 5)

DOMDocument::schemaValidateSource — Validates a document based on a schema

### Description

public bool DOMDocument::schemaValidateSource ( string `$source` [, int `$flags` ] )

Validates a document based on a schema defined in the given string.

### Parameters

`source`

  A string containing the schema.

`flags`

  A bitmask of Libxml schema validation flags. Currently the only supported value is LIBXML_SCHEMA_CREATE. Available since PHP 5.5.2 and Libxml 2.6.14.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
5.5.2 | Added the `flags` parameter

### See Also

- DOMDocument::schemaValidate() - Validates a document based on a schema
- DOMDocument::relaxNGValidate() - Performs relaxNG validation on the document
- DOMDocument::relaxNGValidateSource() - Performs relaxNG validation on the document
- DOMDocument::validate() - Validates the document based on its DTD

DOMDocument::schemaValidate
DOMDocument::validate
DOMDocument
PHP Manual